commit:     76c8ce547ef41c51fa7ee7f16d01e3c8dc3b8c39
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 12 20:59:43 2023 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Thu Oct 12 20:59:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76c8ce54

gui-wm/gamescope: Bump to 3.12.7, drop old 3.12.5

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 gui-wm/gamescope/Manifest                                |  3 ++-
 .../{gamescope-3.12.5.ebuild => gamescope-3.12.7.ebuild} | 16 +++++++++++++++-
 2 files changed, 17 insertions(+), 2 deletions(-)

diff --git a/gui-wm/gamescope/Manifest b/gui-wm/gamescope/Manifest
index f4e8e6872024..8b28d2832f18 100644
--- a/gui-wm/gamescope/Manifest
+++ b/gui-wm/gamescope/Manifest
@@ -1 +1,2 @@
-DIST gamescope-3.12.5.tar.gz 441125 BLAKE2B 
b45b5fcf8903627d3136597ab08f9abab0c3404f7d5fb0c0c8c45d7266e94dcb0e033ad5e2d3bf0619ab7b7250f0bbc810f31d3a8ec79ffbc0d767f7b09637d6
 SHA512 
b3409010855de83eff86a0e24320e5a22b713c509f7a74fd11eb9a1182a30360e939b1f4c4cc54b8902b2dca1ee24c2927c5c738cfc762abe4435bc3b2144151
+DIST gamescope-3.12.7.tar.gz 469724 BLAKE2B 
46d5fe972a38c418f039a63d7c94d3f8303205e926c7880918c9a3bcca614595a6efc30d4733b5e2ac824bd25d7686dd9d1dd07be434bb1c217cf112ac481cfb
 SHA512 
f9bd67ce11f4855537e3e28fee82b9eb89e5b0bbc0cfe8a4e558f00f60a83ea611639711fdc7a4562655530b55782991332034cb823332a70647e2bd5b4dd642
+DIST reshade-9fdbea6892f9959fdc18095d035976c574b268b7.tar.gz 1543894 BLAKE2B 
5e2b643ffbbda3ad078deb075a6fada1d0a560c6d865b7febee6a8eaade83ec90db3c5a8f4130d27b6dfaa8ee7b899edd214c23c947678eed28fb8e7165d9bd2
 SHA512 
4565d094e1c2d53d5073b4976874665d38dcf7ca86e982e569cc76923eaa9187fa32a4385fc577a3a867d2917596e6377e5a023a34bc2d389ff899d5b69764fb

diff --git a/gui-wm/gamescope/gamescope-3.12.5.ebuild 
b/gui-wm/gamescope/gamescope-3.12.7.ebuild
similarity index 70%
rename from gui-wm/gamescope/gamescope-3.12.5.ebuild
rename to gui-wm/gamescope/gamescope-3.12.7.ebuild
index 8de18f8b6b60..82addc58848f 100644
--- a/gui-wm/gamescope/gamescope-3.12.5.ebuild
+++ b/gui-wm/gamescope/gamescope-3.12.7.ebuild
@@ -5,11 +5,14 @@ EAPI=8
 
 inherit fcaps meson
 
+RESHADE_COMMIT="9fdbea6892f9959fdc18095d035976c574b268b7"
 MY_PV=$(ver_rs 3 -)
 MY_PV="${MY_PV//_/-}"
+
 DESCRIPTION="Efficient micro-compositor for running games"
 HOMEPAGE="https://github.com/ValveSoftware/gamescope";
-SRC_URI="https://github.com/ValveSoftware/${PN}/archive/refs/tags/${MY_PV}.tar.gz
 -> ${P}.tar.gz"
+SRC_URI="https://github.com/ValveSoftware/${PN}/archive/refs/tags/${MY_PV}.tar.gz
 -> ${P}.tar.gz
+       
https://github.com/Joshua-Ashton/reshade/archive/${RESHADE_COMMIT}.tar.gz -> 
reshade-${RESHADE_COMMIT}.tar.gz"
 KEYWORDS="~amd64"
 LICENSE="BSD-2"
 SLOT="0"
@@ -46,6 +49,7 @@ DEPEND="
        dev-libs/stb
        dev-util/vulkan-headers
        media-libs/glm
+       dev-util/spirv-headers
        wsi-layer? ( >=media-libs/vkroots-0_p20230103 )
 "
 BDEPEND="
@@ -67,6 +71,16 @@ src_prepare() {
        # we don't install one. Work around this using symlinks.
        mkdir subprojects/stb || die
        ln -sn "${ESYSROOT}"/usr/include/stb/* 
"${S}"/subprojects/packagefiles/stb/* subprojects/stb/ || die
+
+       # ReShade is bundled as a git submodule, but it references an unofficial
+       # fork, so we cannot unbundle it. Symlink to its extracted sources.
+       rmdir src/reshade || die
+       ln -snfT ../../reshade-${RESHADE_COMMIT} src/reshade || die
+
+       # SPIRV-Headers is required by ReShade. It is bundled as a git 
submodule but
+       # not wrapped with Meson, so we can symlink to our system-wide headers.
+       mkdir thirdparty/SPIRV-Headers/include || die
+       ln -snf "${ESYSROOT}"/usr/include/spirv 
thirdparty/SPIRV-Headers/include/ || die
 }
 
 src_configure() {

Reply via email to